GETPEERNAME(1)

NAME
getpeername - get name of connected TCP/IP peer

SYNOPSIS
getpeername [-n] [-p protocol]

DESCRIPTION
getpeername prints the IP address and service name (port number) of the remote peer connected to standard input. The IP address and the service name are printed on the same line, separated by one space.

OPTIONS

-n  Don't translate IP addresses and port numbers to names.

-p protocol
    Force getpeername to use protocol as the protocol when translating port numbers to service names. Protocol can be tcp and udp. Normally, getpeername automatically determines what type of socket it is connected to.

SEE ALSO
getpeername(3).

BUGS
Only works on IP sockets.